project-navigation
Personal tools

Author Topic: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu  (Read 50192 times)

uthersde

  • Guest
Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« on: May 04, 2008, 01:04:55 pm »
Deb-packages 2.2.1 for Debian (stable):

Code: [Select]
deb http://trylegaldownloads.de/debian etch games
Code: [Select]
deb http://trylegaldownloads.de/debian lenny games
Deb-packages 2.3 development snapshot from svn (trunk):

Code: [Select]
deb http://trylegaldownloads.de/debian etch nightly-builds
Code: [Select]
deb http://trylegaldownloads.de/debian lenny nightly-builds
Please report any problems!


« Last Edit: June 19, 2008, 05:20:09 pm by uthersde »

Offline Doctor J

  • Squad Leader
  • ****
  • Posts: 265
    • View Profile
Re: Debs for Debian
« Reply #1 on: May 10, 2008, 09:37:13 am »
This looks promising.  For those of us using Ubuntu, which versions correspond to Debian Etch and Lenny?

uthersde

  • Guest
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #2 on: June 18, 2008, 09:00:05 pm »
Deb-packages 2.2.1 for Ubuntu:

Code: [Select]
deb http://trylegaldownloads.de/ubuntu hardy games (from getdeb.net)

Deb-packages 2.3 development snapshot from svn (trunk):

Code: [Select]
deb http://trylegaldownloads.de/ubuntu intrepid nightly-builds
Code: [Select]
deb http://trylegaldownloads.de/ubuntu hardy nightly-builds
Code: [Select]
deb http://trylegaldownloads.de/ubuntu gutsy nightly-builds
Code: [Select]
deb http://trylegaldownloads.de/ubuntu feisty nightly-builds
Code: [Select]
deb http://trylegaldownloads.de/ubuntu edgy nightly-builds
It will be nice if someone could test the Ubuntu binarys cause i create them on a Debian machine :)
« Last Edit: November 03, 2008, 10:21:03 pm by uthersde »

Offline blondandy

  • Sergeant
  • *****
  • Posts: 391
    • View Profile
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #3 on: June 18, 2008, 11:22:45 pm »
Hey, good work. :)

Can't test them for you (wrong OS).

should that read "nightly-builds", with a "t"?

uthersde

  • Guest
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #4 on: June 19, 2008, 05:22:30 pm »
Hey, good work. :)

Can't test them for you (wrong OS).

should that read "nightly-builds", with a "t"?

Of cause :)

Offline qualsiasinick

  • Rookie
  • ***
  • Posts: 11
    • View Profile
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #5 on: July 05, 2008, 04:58:48 pm »
i try to install version 2.3 on a kubuntu/64 using repository but i cannot find game in men
edit: i notice i have only ufoai-data, ufoai-music and ufoai-server-data 
it show me only all.deb...not i386 as my distribution is a 64 bit i think
« Last Edit: July 05, 2008, 06:57:43 pm by qualsiasinick »

Powerpuff Kuma

  • Guest
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #6 on: July 06, 2008, 04:33:15 pm »
hi, the installation went smoothly but the game is not running.
i get this output:

Code: [Select]
kuma@toshibita:~$ ufo

---- filesystem initialization -----
Adding game dir: ./base
using /home/kuma/.ufoai/2.2.1/base for writing
Adding game dir: /home/kuma/.ufoai/2.2.1/base
couldn't exec default.cfg
couldn't exec config.cfg
couldn't exec keys.cfg

----- network initialization -------
libcurl/7.18.0 OpenSSL/0.9.8g zlib/1.2.3.3 libidn/1.1 initialized.

------ server initialization -------
...using language: es_CO.UTF-8

----- console initialization -------
couldn't load history
Console initialized.

------- video initialization -------
SDL version: 1.2.12
I: desktop depth: 32bpp
I: setting mode 6: 1024x768 (fullscreen: no)
I: got 8 bits of stencil
I: got 24 bits of depth buffer
I: got double buffer
I: got 8 bits for red
I: got 8 bits for green
I: got 8 bits for blue
GL_VENDOR: Tungsten Graphics, Inc
GL_RENDERER: Mesa DRI Intel(R) 965GM 4.1.3002
GL_VERSION: 1.4 Mesa 7.0.3-rc2
GL_EXTENSIONS: GL_ARB_depth_texture GL_ARB_fragment_program GL_ARB_imaging GL_ARB_multisample GL_ARB_multitexture GL_ARB_point_parameters GL_ARB_shadow GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_mirrored_repeat GL_ARB_texture_non_power_of_two GL_ARB_texture_rectangle GL_ARB_transpose_matrix GL_ARB_vertex_program GL_ARB_window_pos GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_equation_separate GL_EXT_blend_func_separate GL_EXT_blend_logic_op GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_clip_volume_hint GL_EXT_copy_texture GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_multi_draw_arrays GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_polygon_offset GL_EXT_rescale_normal GL_EXT_secondary_color GL_EXT_separate_specular_color GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_EXT_subtexture GL_EXT_texture GL_EXT_texture3D GL_EXT_texture_edge_clamp GL_EXT_texture_env_add GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_EXT_texture_lod_bias GL_EXT_texture_object GL_EXT_texture_rectangle GL_EXT_vertex_array GL_3DFX_texture_compression_FXT1 GL_APPLE_packed_pixels GL_IBM_texture_mirrored_repeat GL_INGR_blend_func_separate GL_MESA_pack_invert GL_MESA_ycbcr_texture GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_rectangle GL_SGI_color_matrix GL_SGI_color_table GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_SGIX_depth_texture GL_SUN_multi_draw_arrays
GL_EXT_compiled_vertex_array not found
using GL_ARB_multitexture
using GL_EXT_texture_env_combine
GL_SGIS_multitexture not found
ignoring GL_ARB_texture_compression
GL_EXT_texture_filter_anisotropic not found
using GL_EXT_texture_lod_bias
using GL_EXT_stencil_wrap
using GL_EXT_fog_coord
GL_ATI_separate_stencil not found
GL_EXT_stencil_two_side not found
max texture size: detected 2048
R_FindImage: Can't find pics/sfx/shadow (pics/sfx/shadow) - file: src/renderer/r_draw.c, line 156
R_FindImage: Can't find pics/sfx/blood (pics/sfx/blood) - file: src/renderer/r_draw.c, line 159
R_FindImage: Can't find pics/conchars (pics/conchars) - file: src/renderer/r_draw.c, line 168
R_FindImage: Can't find pics/conchars_small (pics/conchars_small) - file: src/renderer/r_draw.c, line 171
SDL_ttf version 2.0.9 - we need at least 2.0.7

------- sound initialization -------
SDL_mixer version: 1.2.8
...audio rate: 44100
...audio channels: 2
...driver: 'alsa'
R_FindImage: Can't find pics/wait (pics/wait) - file: src/renderer/r_draw.c, line 276
R_FindImage: Can't find pics/ducked (pics/ducked) - file: src/renderer/r_draw.c, line 276
R_FindImage: Can't find pics/cursor1 (pics/cursor1) - file: src/renderer/r_draw.c, line 276
R_FindImage: Can't find pics/loading (pics/loading) - file: src/renderer/r_draw.c, line 276

--- save subsystem initialization --
added size subsystem (check ff)
added base subsystem (check 0)
added campaign subsystem (check 1)
added hospital subsystem (check 2)
added market subsystem (check 3)
added research subsystem (check 4)
added employee subsystem (check 5)
added aliencont subsystem (check 6)
added production subsystem (check 7)
added aircraft subsystem (check 8)
added messagesystem subsystem (check 9)
added stats subsystem (check a)
added nations subsystem (check b)
added transfer subsystem (check c)

----------- parse scripts ----------
is this the right topic for this? xD
thanks

Offline qualsiasinick

  • Rookie
  • ***
  • Posts: 11
    • View Profile
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #7 on: July 07, 2008, 05:52:40 pm »
the same as me :)

Offline qualsiasinick

  • Rookie
  • ***
  • Posts: 11
    • View Profile
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #8 on: July 28, 2008, 06:26:07 pm »
i used a 64 bit---but now i have reinstalled a 32 bit

daemonward

  • Guest
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #9 on: August 02, 2008, 10:20:47 pm »
I am running Ubuntu Hardy 32-bit. First, I tried to install 2.3 from the nightly-builds repository, but synaptic couldn't find any ufoai packages. ???

Next, I tried installing 2.2.1 from the games repository and that worked perfectly. There is some screen flicker, but I think that is due to my IGP. ::)

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #10 on: August 26, 2008, 09:09:35 pm »
could someone update the debian/* files to include radiant, too?

./configure --enable-gtkradiant

uthersde

  • Guest
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #11 on: October 27, 2008, 10:50:21 pm »
i upload some new nighly-builds (svn19883) for etch, lenny and hardy

please report any problems with these packages

i try to create the nighly-builds weekly and i should provide some patches for debian/* , i hope i have time for this

Satanic Mechanic

  • Guest
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #12 on: October 28, 2008, 04:01:03 am »
Downloaded the 2.3 build you uploaded today, sadly, no love.

Running Ubuntu Hardy, previous 2.2.1 install was running fine.

--snip-- stuff --snip--

Let me know if there's any other information you could use.
I'm pretty damn clueless in linux still (got a lot of windows laziness left to unlearn still) but if you talk slowly and avoid big words, I should be able to follow instructions to get you in other information you might need :)

--Edit--
Never mind, I hadn't properly reconfigured my x server from an unrelated fault earlier in the day, loaded up and running now, I told you I was clueless :P
« Last Edit: October 28, 2008, 04:17:03 am by Satanic Mechanic »

Offline Niggle

  • Cannon Fodder
  • **
  • Posts: 6
    • View Profile
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #13 on: October 30, 2008, 12:53:07 pm »
A few problems playing a couple of maps in skirmish mode on the latest ubuntu builds:

Bridge
One alien seems to start in mid air over the river. It can't be shot at because the river bank seems to act like a solid wall.

Village
None of the stairs work in any of the buildings.
Also, you can't enter the bathrooms in the two identical buildings.

Offline ghosta

  • Squad Leader
  • ****
  • Posts: 133
    • View Profile
Re: Ufo:AI 2.2.1 and 2.3-dev Debs for Debian/Ubuntu
« Reply #14 on: October 30, 2008, 05:04:47 pm »
Bridge
One alien seems to start in mid air over the river. It can't be shot at because the river bank seems to act like a solid wall.

Maybe this is related to the actorclip brush. I noticed (and reported) that they are unshootable.